Bug 148033 - Reboot hangs up on cups if kernel is added to update list when updating.
Reboot hangs up on cups if kernel is added to update list when updating.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-14 19:23 EST by David Leverington
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:12:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Leverington 2005-02-14 19:23:32 EST
Description of problem:

Aquired FC3 DVD from Issue 50, Jan 2005, Linux Magazine,
www.linux-magazine.com
Comes with kernel 2.6 and updating works well unless you add the
kernel update to the list. 
Causes it to stop loading the reboot, when the loading gets to cups.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Leverington 2005-02-15 10:24:46 EST
It is a kernel up2date 
from: 2.6.9-1.667
to: 2.6.10-1.760_FC3.i686.rpm

I believe the cups hang-up is reproducible by running up2date and then
rebooting, while having no printer connected to a home desktop computer.
(eMachine T2792, 2.70GHz Intel Celeron, 256MB DDR)

Additionally, when it hangs up, if you control+alt-delete several
times, it will pass cups and continue till it gets to swap and hang-up
again.
Then if you control+alt+delete again, it causes a long scroll of
memory failures, ending with ram out of memory... and no way to shut
down other than kill switch or turning off power source.

...but rebooting the pre-upgrade older kernel works fine with no probs.
Comment 2 Kyle Pointer 2005-02-23 21:38:33 EST
Please note that its not just up2date it is also YUM or any other way
of aquiring the packages.
Comment 3 James Welch 2005-03-03 13:54:12 EST
I think this is the same bug as 144726.
I get this problem as well - working around by disabling cups on every
boot.

There's a suggested fix at
http://www.linuxquestions.org/questions/history/278391

but this doesn't seem to help me - can anyone else get it to work?
Comment 4 Sitsofe Wheeler 2005-05-30 15:07:14 EDT
This sounds like bug #146472 which may be related to bug #127174 or bug #144726
Comment 5 Dave Jones 2005-07-15 15:03:05 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 21:12:31 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.